MyGUI: MyGUI::ItemBox Class Reference

MyGUI 3.2.2

Data Structures | Public Types | Public Member Functions | Static Public Member Functions | Data Fields | Protected Types | Protected Member Functions
MyGUI::ItemBox Class Reference

ItemBox properties.
Skin childs. ItemBox widget description should be here. More...

`#include <MyGUI_ItemBox.h>`

Inheritance diagram for MyGUI::ItemBox:
[legend]

## Data Structures
struct | ItemDataInfo

## Public Types
typedef RTTIBase | Base
typedef ItemBox | RTTIBase
Public Types inherited from MyGUI::DDContainer
typedef RTTIBase | Base
typedef DDContainer | RTTIBase
Public Types inherited from MyGUI::Widget
typedef RTTIBase | Base
typedef Widget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| ItemBox ()
size_t | getItemCount () const
| Get number of items. More...
void | insertItemAt (size_t _index, Any _data=Any::Null)
| Insert an item into a array at a specified position. More...
void | addItem (Any _data=Any::Null)
| Add an item to the end of a array. More...
void | removeItemAt (size_t _index)
| Remove item at a specified position. More...
void | removeAllItems ()
| Remove all items. More...
void | redrawItemAt (size_t _index)
| Redraw at a specified position. More...
void | redrawAllItems ()
| Redraw all items. More...
size_t | getIndexSelected () const
| Get index of selected item (ITEM_NONE if none selected) More...
void | setIndexSelected (size_t _index)
| Select specified _index. More...
void | clearIndexSelected ()
| Clear item selection. More...
void | setItemDataAt (size_t _index, Any _data)
| Replace an item data at a specified position. More...
void | clearItemDataAt (size_t _index)
| Clear an item data at a specified position. More...
template<typename ValueType >
ValueType * | getItemDataAt (size_t _index, bool _throw=true)
| Get item data from specified position. More...
void | setVerticalAlignment (bool _value)
bool | getVerticalAlignment () const
size_t | getIndexByWidget (Widget *_widget)
Widget * | getWidgetDrag ()
Widget * | getWidgetByIndex (size_t _index)
void | resetDrag ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
void | setViewOffset (const IntPoint &_value)
IntPoint | getViewOffset ()
virtual IntSize | getViewSize ()
virtual void | _resetContainer (bool _update)
Public Member Functions inherited from MyGUI::DDContainer
template<typename Type >
bool | isType () const
| DDContainer ()
void | setNeedDragDrop (bool _value)
bool | getNeedDragDrop () const
void | resetDrag ()
Public Member Functions inherited from MyGUI::Widget
template<typename Type >
bool | isType () const
| Widget ()
Widget * | createWidgetT (const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_name="")
Widget * | createWidgetT (const std::string &_type, const std::string &_skin, int _left, int _top, int _width, int _height, Align _align, const std::string &_name="")
Widget * | createWidgetRealT (const std::string &_type, const std::string &_skin, const FloatCoord &_coord, Align _align, const std::string &_name="")
Widget * | createWidgetRealT (const std::string &_type, const std::string &_skin, float _left, float _top, float _width, float _height, Align _align, const std::string &_name="")
template<typename T >
T * | createWidget (const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_name="")
template<typename T >
T * | createWidget (const std::string &_skin, int _left, int _top, int _width, int _height, Align _align, const std::string &_name="")
template<typename T >
T * | createWidgetReal (const std::string &_skin, const FloatCoord &_coord, Align _align, const std::string &_name="")
template<typename T >
T * | createWidgetReal (const std::string &_skin, float _left, float _top, float _width, float _height, Align _align, const std::string &_name="")
Widget * | createWidgetT (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
template<typename T >
T * | createWidget (WidgetStyle _style, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
void | setRealPosition (const FloatPoint &_value)
void | setRealSize (const FloatSize &_value)
void | setRealCoord (const FloatCoord &_value)
void | setRealPosition (float _left, float _top)
void | setRealSize (float _width, float _height)
void | setRealCoord (float _left, float _top, float _width, float _height)
const std::string & | getName () const
| Get name of widget. More...
virtual void | setVisible (bool _value)
bool | getVisible () const
void | setDepth (int _value)
int | getDepth () const
bool | getInheritedVisible () const
virtual void | setAlign (Align _value)
Align | getAlign () const
void | setAlpha (float _value)
float | getAlpha () const
void | setInheritsAlpha (bool _value)
bool | getInheritsAlpha () const
void | setColour (const Colour &_value)
bool | isRootWidget () const
Widget * | getParent () const
IntSize | getParentSize () const
EnumeratorWidgetPtr | getEnumerator () const
size_t | getChildCount ()
Widget * | getChildAt (size_t _index)
Widget * | findWidget (const std::string &_name)
void | findWidgets (const std::string &_name, VectorWidgetPtr &_result)
virtual void | setEnabled (bool _value)
void | setEnabledSilent (bool _value)
bool | getEnabled () const
bool | getInheritedEnabled () const
IntCoord | getClientCoord ()
Widget * | getClientWidget ()
void | detachFromWidget (const std::string &_layer="")
void | attachToWidget (Widget *_parent, WidgetStyle _style=WidgetStyle::Child, const std::string &_layer="")
void | changeWidgetSkin (const std::string &_skinName)
void | setWidgetStyle (WidgetStyle _style, const std::string &_layer="")
WidgetStyle | getWidgetStyle () const
void | setProperty (const std::string &_key, const std::string &_value)
void | _forcePick (Widget *_widget)
void | _initialise (WidgetStyle _style, const IntCoord &_coord, const std::string &_skinName, Widget *_parent, ICroppedRectangle *_croppedParent, const std::string &_name)
void | _shutdown ()
void | _destroyChildWidget (Widget *_widget)
void | _setContainer (Widget *_value)
Widget * | _getContainer ()
void | _setAlign (const IntSize &_oldsize, const IntSize &_newSize)
bool | _checkPoint (int _left, int _top) const
Widget * | _createSkinWidget (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
bool | _setWidgetState (const std::string &_value)
void | _updateChilds ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()
Public Member Functions inherited from MyGUI::ICroppedRectangle
| ICroppedRectangle ()
virtual | ~ICroppedRectangle ()
ICroppedRectangle * | getCroppedParent ()
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::UserData
| UserData ()
virtual | ~UserData ()
void | setUserString (const std::string &_key, const std::string &_value)
const std::string & | getUserString (const std::string &_key) const
const MapString & | getUserStrings () const
bool | clearUserString (const std::string &_key)
bool | isUserString (const std::string &_key) const
void | clearUserStrings ()
void | setUserData (Any _data)
template<typename ValueType >
ValueType * | getUserData (bool _throw=true) const
void | _setInternalData (Any _data)
template<typename ValueType >
ValueType * | _getInternalData (bool _throw=true) const
Public Member Functions inherited from MyGUI::WidgetInput
| WidgetInput ()
virtual | ~WidgetInput ()
void | setNeedToolTip (bool _value)
bool | getNeedToolTip () const
void | setPointer (const std::string &_value)
const std::string & | getPointer () const
void | setNeedKeyFocus (bool _value)
bool | getNeedKeyFocus () const
void | setNeedMouseFocus (bool _value)
bool | getNeedMouseFocus () const
void | setInheritsPick (bool _value)
bool | getInheritsPick () const
void | setMaskPick (const std::string &_filename)
void | setMaskPick (const MaskPickInfo &_info)
bool | isMaskPickInside (const IntPoint &_point, const IntCoord &_coord) const
bool | getRootMouseFocus () const
bool | getRootKeyFocus () const
void | _riseMouseLostFocus (Widget *_new)
void | _riseMouseSetFocus (Widget *_old)
void | _riseMouseDrag (int _left, int _top, MouseButton _id)
void | _riseMouseMove (int _left, int _top)
void | _riseMouseWheel (int _rel)
void | _riseMouseButtonPressed (int _left, int _top, MouseButton _id)
void | _riseMouseButtonReleased (int _left, int _top, MouseButton _id)
void | _riseMouseButtonClick ()
void | _riseMouseButtonDoubleClick ()
void | _riseKeyLostFocus (Widget *_new)
void | _riseKeySetFocus (Widget *_old)
void | _riseKeyButtonPressed (KeyCode _key, Char _char)
void | _riseKeyButtonReleased (KeyCode _key)
void | _riseMouseChangeRootFocus (bool _focus)
void | _riseKeyChangeRootFocus (bool _focus)
void | _setRootMouseFocus (bool _value)
void | _setRootKeyFocus (bool _value)
Public Member Functions inherited from MyGUI::delegates::IDelegateUnlink
virtual | ~IDelegateUnlink ()
| IDelegateUnlink ()
bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::SkinItem
| SkinItem ()
ISubWidgetText * | getSubWidgetText ()
ISubWidgetRect * | getSubWidgetMain ()
void | _setTextureName (const std::string &_texture)
const std::string & | _getTextureName () const
Public Member Functions inherited from MyGUI::LayerItem
| LayerItem ()
virtual | ~LayerItem ()
ILayer * | getLayer () const
ILayerNode * | getLayerNode () const
virtual void | attachItemToNode (ILayer *_layer, ILayerNode *_node)
virtual void | detachFromLayer ()
virtual void | upLayerItem ()
void | setRenderItemTexture (ITexture *_texture)
void | addChildItem (LayerItem *_item)
void | removeChildItem (LayerItem *_item)
void | addChildNode (LayerItem *_item)
void | removeChildNode (LayerItem *_item)
void | addRenderItem (ISubWidget *_item)
void | removeAllRenderItems ()
void | saveLayerItem ()
void | restoreLayerItem ()
Public Member Functions inherited from MyGUI::ILayerItem
virtual | ~ILayerItem ()
Public Member Functions inherited from MyGUI::MemberObsolete< Widget >
bool | isEnabled ()
bool | isInheritsAlpha ()
bool | isNeedKeyFocus ()
bool | isNeedMouseFocus ()
bool | isInheritsPick ()
bool | isVisible ()
Public Member Functions inherited from MyGUI::MemberObsolete< ItemBox >
size_t | getItemIndexSelected ()
void | setItemSelectedAt (size_t _index)
void | clearItemSelected ()
void | insertItem (size_t _index, Any _data=Any::Null)
void | setItemData (size_t _index, Any _data)
void | deleteItem (size_t _index)
void | deleteAllItems ()
size_t | getItemSelect ()
void | resetItemSelect ()
void | setItemSelect (size_t _index)
Widget * | getWidgetDrop ()
void | resetDrop ()
void | setItemBoxAlignVert (bool _value)
bool | getItemBoxAlignVert ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::DDContainer
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::Widget
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Data Fields
EventHandle_ItemBoxPtrWidgetPtr | requestCreateWidgetItem
EventHandle_ItemBoxPtrIntCoordRefBool | requestCoordItem
EventHandle_ItemBoxPtrWidgetPtrCIBCellDrawInfoRef | requestDrawItem
EventHandle_ItemBoxPtrSizeT | eventSelectItemAccept
EventHandle_ItemBoxPtrSizeT | eventChangeItemPosition
EventHandle_ItemBoxPtrSizeT | eventMouseItemActivate
EventHandle_ItemBoxPtrCIBNotifyCellDataRef | eventNotifyItem
Data Fields inherited from MyGUI::DDContainer
EventHandle_DDContainerPtrCDDItemInfoRefBoolRef | eventStartDrag
EventHandle_DDContainerPtrCDDItemInfoRefBoolRef | eventRequestDrop
EventHandle_DDContainerPtrCDDItemInfoRefBool | eventDropResult
EventHandle_EventHandle_DDContainerPtrDDItemState | eventChangeDDState
EventHandle_EventHandle_DDContainerPtrWidgetPtrRefIntCoordRef | requestDragWidgetInfo
delegates::CMultiDelegate1< DDContainer * > | _eventInvalideContainer
delegates::CMultiDelegate3< DDContainer *, Widget *, const DDWidgetState & > | eventUpdateDropState
Data Fields inherited from MyGUI::Widget
EventHandle_WidgetStringString | eventChangeProperty
EventHandle_WidgetVoid | eventChangeCoord
Data Fields inherited from MyGUI::WidgetInput
EventHandle_WidgetWidget | eventMouseLostFocus
EventHandle_WidgetWidget | eventMouseSetFocus
EventPairAddParameter< EventHandle_WidgetIntInt, EventHandle_WidgetIntIntButton > | eventMouseDrag
EventHandle_WidgetIntInt | eventMouseMove
EventHandle_WidgetInt | eventMouseWheel
EventHandle_WidgetIntIntButton | eventMouseButtonPressed
EventHandle_WidgetIntIntButton | eventMouseButtonReleased
EventHandle_WidgetVoid | eventMouseButtonClick
EventHandle_WidgetVoid | eventMouseButtonDoubleClick
EventHandle_WidgetWidget | eventKeyLostFocus
EventHandle_WidgetWidget | eventKeySetFocus
EventHandle_WidgetKeyCodeChar | eventKeyButtonPressed
EventHandle_WidgetKeyCode | eventKeyButtonReleased
EventHandle_WidgetBool | eventRootMouseChangeFocus
EventHandle_WidgetBool | eventRootKeyChangeFocus
EventHandle_WidgetToolTip | eventToolTip

## Protected Types
typedef std::vector< ItemDataInfo > | VectorItemInfo

## Protected Member Functions
virtual void | initialiseOverride ()
virtual void | shutdownOverride ()
virtual void | onMouseButtonPressed (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonReleased (int _left, int _top, MouseButton _id)
virtual void | onKeyButtonPressed (KeyCode _key, Char _char)
virtual void | onKeyButtonReleased (KeyCode _key)
virtual void | onMouseDrag (int _left, int _top, MouseButton _id)
virtual void | onMouseWheel (int _rel)
virtual void | onKeyLostFocus (Widget *_new)
virtual void | onKeySetFocus (Widget *_old)
void | notifyKeyButtonPressed (Widget *_sender, KeyCode _key, Char _char)
void | notifyKeyButtonReleased (Widget *_sender, KeyCode _key)
void | notifyScrollChangePosition (ScrollBar *_sender, size_t _index)
void | notifyMouseWheel (Widget *_sender, int _rel)
void | notifyRootMouseChangeFocus (Widget *_sender, bool _focus)
void | notifyMouseButtonDoubleClick (Widget *_sender)
virtual size_t | _getItemIndex (Widget *_item)
void | notifyMouseDrag (Widget *_sender, int _left, int _top, MouseButton _id)
void | notifyMouseButtonPressed (Widget *_sender, int _left, int _top, MouseButton _id)
void | notifyMouseButtonReleased (Widget *_sender, int _left, int _top, MouseButton _id)
virtual void | removeDropItems ()
virtual void | updateDropItems ()
virtual void | updateDropItemsState (const DDWidgetState &_state)
void | updateMetrics ()
void | _updateAllVisible (bool _redraw)
void | updateFromResize ()
Widget * | getItemWidget (size_t _index)
void | _setContainerItemInfo (size_t _index, bool _set, bool _accept)
void | resetCurrentActiveItem ()
void | findCurrentActiveItem ()
virtual size_t | _getContainerIndex (const IntPoint &_point)
virtual void | setPropertyOverride (const std::string &_key, const std::string &_value)
Protected Member Functions inherited from MyGUI::DDContainer
virtual void | notifyInvalideDrop (DDContainer *_sender)
void | mouseDrag (MouseButton _id)
void | mouseButtonReleased (MouseButton _id)
void | mouseButtonPressed (MouseButton _id)
void | endDrop (bool _reset)
Protected Member Functions inherited from MyGUI::Widget
virtual | ~Widget ()
void | _updateView ()
Widget * | baseCreateWidget (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer, const std::string &_name, bool _template)
void | _destroyAllChildWidget ()
virtual void | baseUpdateEnable ()
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const
virtual const IntCoord & | getLayerItemCoord () const
template<typename T >
void | assignWidget (T *&_widget, const std::string &_name)
VectorWidgetPtr | getSkinWidgetsByName (const std::string &_name)
void | destroySkinWidget (Widget *_widget)
virtual void | onWidgetCreated (Widget *_widget)
virtual void | onWidgetDestroy (Widget *_widget)
void | setWidgetClient (Widget *_widget)
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Member Functions inherited from MyGUI::WidgetInput
virtual void | onMouseLostFocus (Widget *_new)
virtual void | onMouseSetFocus (Widget *_old)
virtual void | onMouseMove (int _left, int _top)
virtual void | onMouseButtonClick ()
virtual void | onMouseButtonDoubleClick ()
virtual void | onMouseChangeRootFocus (bool _focus)
virtual void | onKeyChangeRootFocus (bool _focus)
Protected Member Functions inherited from MyGUI::SkinItem
void | _createSkinItem (ResourceSkin *_info)
void | _deleteSkinItem ()
void | _setSkinItemAlign (const IntSize &_size)
void | _setSkinItemVisible (bool _value)
void | _setSkinItemColour (const Colour &_value)
void | _setSkinItemAlpha (float _value)
void | _correctSkinItemView ()
void | _updateSkinItemView ()
bool | _setSkinItemState (const std::string &_state)
void | _setSubSkinVisible (bool _visible)
Protected Member Functions inherited from MyGUI::LayerItem
void | attachToLayerItemNode (ILayerNode *_node, bool _deep)
void | detachFromLayerItemNode (bool _deep)
Protected Member Functions inherited from MyGUI::ScrollViewBase
| ScrollViewBase ()
virtual | ~ScrollViewBase ()
void | updateScrollSize ()
void | updateScrollPosition ()
Protected Member Functions inherited from MyGUI::MemberObsolete< ItemBox >
size_t | getItemIndexSelected ()
void | setItemSelectedAt (size_t _index)
void | clearItemSelected ()
void | insertItem (size_t _index, Any _data=Any::Null)
void | setItemData (size_t _index, Any _data)
void | deleteItem (size_t _index)
void | deleteAllItems ()
size_t | getItemSelect ()
void | resetItemSelect ()
void | setItemSelect (size_t _index)
Widget * | getWidgetDrop ()
void | resetDrop ()
void | setItemBoxAlignVert (bool _value)
bool | getItemBoxAlignVert ()

## Additional Inherited Members
Protected Attributes inherited from MyGUI::DDContainer
bool | mDropResult
bool | mNeedDrop
bool | mStartDrop
Widget * | mOldDrop
Widget * | mCurrentSender
DDItemInfo | mDropInfo
size_t | mDropSenderIndex
Widget * | mDropItem
IntCoord | mDropDimension
IntPoint | mClickInWidget
bool | mNeedDragDrop
DDContainer * | mReseiverContainer
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin
ICroppedRectangle * | mCroppedParent
Protected Attributes inherited from MyGUI::ScrollViewBase
ScrollBar * | mVScroll
ScrollBar * | mHScroll
Widget * | mClient
bool | mVisibleHScroll
bool | mVisibleVScroll
size_t | mVRange
size_t | mHRange
bool | mChangeContentByResize

## Detailed Description

ItemBox properties.
Skin childs. ItemBox widget description should be here.

Definition at line 29 of file MyGUI_ItemBox.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ItemBox::Base

Definition at line 34 of file MyGUI_ItemBox.h.

## ◆ RTTIBase

typedef ItemBox MyGUI::ItemBox::RTTIBase

Definition at line 34 of file MyGUI_ItemBox.h.

## ◆ VectorItemInfo

typedef std::vector<ItemDataInfo> MyGUI::ItemBox::VectorItemInfo
| protected

Definition at line 202 of file MyGUI_ItemBox.h.

## Constructor & Destructor Documentation

## ◆ ItemBox()

MyGUI::ItemBox::ItemBox | ( |  | ) |

Definition at line 20 of file MyGUI_ItemBox.cpp.

## Member Function Documentation

## ◆ _getContainerIndex()

size_t MyGUI::ItemBox::_getContainerIndex | ( | const IntPoint & | _point | ) |
| protectedvirtual

Reimplemented from MyGUI::Widget.

Definition at line 490 of file MyGUI_ItemBox.cpp.

## ◆ _getItemIndex()

size_t MyGUI::ItemBox::_getItemIndex | ( | Widget * | _item | ) |
| protectedvirtual

Reimplemented from MyGUI::Widget.

Definition at line 291 of file MyGUI_ItemBox.cpp.

## ◆ _resetContainer()

void MyGUI::ItemBox::_resetContainer | ( | bool | _update | ) |
| virtual

Reimplemented from MyGUI::Widget.

Definition at line 505 of file MyGUI_ItemBox.cpp.

## ◆ _setContainerItemInfo()

void MyGUI::ItemBox::_setContainerItemInfo | ( | size_t | _index,
|  | bool | _set,
|  | bool | _accept
| ) |  |
| protectedvirtual

Reimplemented from MyGUI::DDContainer.

Definition at line 301 of file MyGUI_ItemBox.cpp.

## ◆ _updateAllVisible()

void MyGUI::ItemBox::_updateAllVisible | ( | bool | _redraw | ) |
| protected

Definition at line 130 of file MyGUI_ItemBox.cpp.

## ◆ addItem()

void MyGUI::ItemBox::addItem | ( | Any | _data = `Any::Null` | ) |

Add an item to the end of a array.

Definition at line 873 of file MyGUI_ItemBox.cpp.

## ◆ clearIndexSelected()

void MyGUI::ItemBox::clearIndexSelected | ( |  | ) |

Clear item selection.

Definition at line 883 of file MyGUI_ItemBox.cpp.

## ◆ clearItemDataAt()

void MyGUI::ItemBox::clearItemDataAt | ( | size_t | _index | ) |

Clear an item data at a specified position.

Definition at line 888 of file MyGUI_ItemBox.cpp.

## ◆ findCurrentActiveItem()

void MyGUI::ItemBox::findCurrentActiveItem | ( |  | ) |
| protected

Definition at line 255 of file MyGUI_ItemBox.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::ItemBox::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 34 of file MyGUI_ItemBox.h.

## ◆ getIndexByWidget()

size_t MyGUI::ItemBox::getIndexByWidget | ( | Widget * | _widget | ) |

Get item index by item Widget pointer

Definition at line 478 of file MyGUI_ItemBox.cpp.

## ◆ getIndexSelected()

size_t MyGUI::ItemBox::getIndexSelected | ( |  | ) | const

Get index of selected item (ITEM_NONE if none selected)

Definition at line 878 of file MyGUI_ItemBox.cpp.

## ◆ getItemCount()

size_t MyGUI::ItemBox::getItemCount | ( |  | ) | const

Get number of items.

Definition at line 868 of file MyGUI_ItemBox.cpp.

## ◆ getItemDataAt()

template<typename ValueType >

ValueType* MyGUI::ItemBox::getItemDataAt | ( | size_t | _index,
|  | bool | _throw = `true`
| ) |  |
| inline

Get item data from specified position.

Definition at line 88 of file MyGUI_ItemBox.h.

## ◆ getItemWidget()

Widget * MyGUI::ItemBox::getItemWidget | ( | size_t | _index | ) |
| protected

Definition at line 182 of file MyGUI_ItemBox.cpp.

## ◆ getTypeName()

virtual const std::string& MyGUI::ItemBox::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::DDContainer.

Definition at line 34 of file MyGUI_ItemBox.h.

## ◆ getVerticalAlignment()

bool MyGUI::ItemBox::getVerticalAlignment | ( |  | ) | const

Get vertical alignment grid mode flag

Definition at line 893 of file MyGUI_ItemBox.cpp.

## ◆ getViewOffset()

IntPoint MyGUI::ItemBox::getViewOffset | ( |  | ) |

Get view area offset.

Definition at line 994 of file MyGUI_ItemBox.cpp.

## ◆ getViewSize()

IntSize MyGUI::ItemBox::getViewSize | ( |  | ) |
| virtual

Reimplemented from MyGUI::ScrollViewBase.

Definition at line 833 of file MyGUI_ItemBox.cpp.

## ◆ getWidgetByIndex()

Widget * MyGUI::ItemBox::getWidgetByIndex | ( | size_t | _index | ) |

Get item Widget pointer by item index if it is visible

Note
  returned widget can be deleted, so this pointer is valid only at time when you got it and can be invalid next frame

Definition at line 520 of file MyGUI_ItemBox.cpp.

## ◆ getWidgetDrag()

Widget * MyGUI::ItemBox::getWidgetDrag | ( |  | ) |

Get widget created for drop

Definition at line 898 of file MyGUI_ItemBox.cpp.

## ◆ initialiseOverride()

void MyGUI::ItemBox::initialiseOverride | ( |  | ) |
| protectedvirtual

skin clilds:
  Client is child widget with type Widget. Клиентская зона.

skin clilds:
  VScroll is child widget with type ScrollBar. Вертикальная полоса прокрутки.

skin clilds:
  HScroll is child widget with type ScrollBar. Горизонтальная полоса прокрутки.

Reimplemented from MyGUI::Widget.

Definition at line 36 of file MyGUI_ItemBox.cpp.

## ◆ insertItemAt()

void MyGUI::ItemBox::insertItemAt | ( | size_t | _index,
|  | Any | _data = `Any::Null`
| ) |  |

Insert an item into a array at a specified position.

Definition at line 332 of file MyGUI_ItemBox.cpp.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ItemBox::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 34 of file MyGUI_ItemBox.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ItemBox::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::DDContainer.

Definition at line 34 of file MyGUI_ItemBox.h.

## ◆ notifyKeyButtonPressed()

void MyGUI::ItemBox::notifyKeyButtonPressed | ( | Widget * | _sender,
|  | KeyCode | _key,
|  | Char | _char
| ) |  |
| protected

Definition at line 468 of file MyGUI_ItemBox.cpp.

## ◆ notifyKeyButtonReleased()

void MyGUI::ItemBox::notifyKeyButtonReleased | ( | Widget * | _sender,
|  | KeyCode | _key
| ) |  |
| protected

Definition at line 473 of file MyGUI_ItemBox.cpp.

## ◆ notifyMouseButtonDoubleClick()

void MyGUI::ItemBox::notifyMouseButtonDoubleClick | ( | Widget * | _sender | ) |
| protected

Definition at line 451 of file MyGUI_ItemBox.cpp.

## ◆ notifyMouseButtonPressed()

void MyGUI::ItemBox::notifyMouseButtonPressed | ( | Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protected

Definition at line 597 of file MyGUI_ItemBox.cpp.

## ◆ notifyMouseButtonReleased()

void MyGUI::ItemBox::notifyMouseButtonReleased | ( | Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protected

Definition at line 631 of file MyGUI_ItemBox.cpp.

## ◆ notifyMouseDrag()

void MyGUI::ItemBox::notifyMouseDrag | ( | Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protected

Definition at line 592 of file MyGUI_ItemBox.cpp.

## ◆ notifyMouseWheel()

void MyGUI::ItemBox::notifyMouseWheel | ( | Widget * | _sender,
|  | int | _rel
| ) |  |
| protected

Definition at line 718 of file MyGUI_ItemBox.cpp.

## ◆ notifyRootMouseChangeFocus()

void MyGUI::ItemBox::notifyRootMouseChangeFocus | ( | Widget * | _sender,
|  | bool | _focus
| ) |  |
| protected

Definition at line 640 of file MyGUI_ItemBox.cpp.

## ◆ notifyScrollChangePosition()

void MyGUI::ItemBox::notifyScrollChangePosition | ( | ScrollBar * | _sender,
|  | size_t | _index
| ) |  |
| protected

Definition at line 704 of file MyGUI_ItemBox.cpp.

## ◆ onKeyButtonPressed()

void MyGUI::ItemBox::onKeyButtonPressed | ( | KeyCode | _key,
|  | Char | _char
| ) |  |
| protectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 999 of file MyGUI_ItemBox.cpp.

## ◆ onKeyButtonReleased()

void MyGUI::ItemBox::onKeyButtonReleased | ( | KeyCode | _key | ) |
| protectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 1006 of file MyGUI_ItemBox.cpp.

## ◆ onKeyLostFocus()

void MyGUI::ItemBox::onKeyLostFocus | ( | Widget * | _new | ) |
| protectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 229 of file MyGUI_ItemBox.cpp.

## ◆ onKeySetFocus()

void MyGUI::ItemBox::onKeySetFocus | ( | Widget * | _old | ) |
| protectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 222 of file MyGUI_ItemBox.cpp.

## ◆ onMouseButtonPressed()

void MyGUI::ItemBox::onMouseButtonPressed | ( | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protectedvirtual

Reimplemented from MyGUI::DDContainer.

Definition at line 534 of file MyGUI_ItemBox.cpp.

## ◆ onMouseButtonReleased()

void MyGUI::ItemBox::onMouseButtonReleased | ( | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protectedvirtual

Reimplemented from MyGUI::DDContainer.

Definition at line 539 of file MyGUI_ItemBox.cpp.

## ◆ onMouseDrag()

void MyGUI::ItemBox::onMouseDrag | ( | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protectedvirtual

Reimplemented from MyGUI::DDContainer.

Definition at line 544 of file MyGUI_ItemBox.cpp.

## ◆ onMouseWheel()

void MyGUI::ItemBox::onMouseWheel | ( | int | _rel | ) |
| protectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 215 of file MyGUI_ItemBox.cpp.

## ◆ redrawAllItems()

void MyGUI::ItemBox::redrawAllItems | ( |  | ) |

Redraw all items.

Definition at line 808 of file MyGUI_ItemBox.cpp.

## ◆ redrawItemAt()

void MyGUI::ItemBox::redrawItemAt | ( | size_t | _index | ) |

Redraw at a specified position.

Definition at line 407 of file MyGUI_ItemBox.cpp.

## ◆ removeAllItems()

void MyGUI::ItemBox::removeAllItems | ( |  | ) |

Remove all items.

Definition at line 390 of file MyGUI_ItemBox.cpp.

## ◆ removeDropItems()

void MyGUI::ItemBox::removeDropItems | ( |  | ) |
| protectedvirtual

Reimplemented from MyGUI::DDContainer.

Definition at line 549 of file MyGUI_ItemBox.cpp.

## ◆ removeItemAt()

void MyGUI::ItemBox::removeItemAt | ( | size_t | _index | ) |

Remove item at a specified position.

Definition at line 360 of file MyGUI_ItemBox.cpp.

## ◆ resetCurrentActiveItem()

void MyGUI::ItemBox::resetCurrentActiveItem | ( |  | ) |
| protected

Definition at line 236 of file MyGUI_ItemBox.cpp.

## ◆ resetDrag()

void MyGUI::ItemBox::resetDrag | ( |  | ) |

Interrupt drag as if widget was dropped into empty space

Definition at line 813 of file MyGUI_ItemBox.cpp.

## ◆ setCoord() [1/2]

void MyGUI::ItemBox::setCoord | ( | const IntCoord & | _value | ) |
| virtual

Set widget position and size

Reimplemented from MyGUI::Widget.

Definition at line 102 of file MyGUI_ItemBox.cpp.

## ◆ setCoord() [2/2]

void MyGUI::ItemBox::setCoord | ( | int | _left,
|  | int | _top,
|  | int | _width,
|  | int | _height
| ) |  |

See Widget::setCoord(const IntCoord& _coord)

Definition at line 913 of file MyGUI_ItemBox.cpp.

## ◆ setIndexSelected()

void MyGUI::ItemBox::setIndexSelected | ( | size_t | _index | ) |

Select specified _index.

Definition at line 419 of file MyGUI_ItemBox.cpp.

## ◆ setItemDataAt()

void MyGUI::ItemBox::setItemDataAt | ( | size_t | _index,
|  | Any | _data
| ) |  |

Replace an item data at a specified position.

Definition at line 317 of file MyGUI_ItemBox.cpp.

## ◆ setPosition() [1/2]

void MyGUI::ItemBox::setPosition | ( | const IntPoint & | _value | ) |
| virtual

Set widget position (position of left top corner)

Reimplemented from MyGUI::Widget.

Definition at line 91 of file MyGUI_ItemBox.cpp.

## ◆ setPosition() [2/2]

void MyGUI::ItemBox::setPosition | ( | int | _left,
|  | int | _top
| ) |  |

See Widget::setPosition(const IntPoint& _pos)

Definition at line 903 of file MyGUI_ItemBox.cpp.

## ◆ setPropertyOverride()

void MyGUI::ItemBox::setPropertyOverride | ( | const std::string & | _key,
|  | const std::string & | _value
| ) |  |
| protectedvirtual

Properties:
  VerticalAlignment is ItemBox property with type bool.
  Вертикальное выравнивание.

Reimplemented from MyGUI::DDContainer.

Definition at line 918 of file MyGUI_ItemBox.cpp.

## ◆ setSize() [1/2]

void MyGUI::ItemBox::setSize | ( | const IntSize & | _value | ) |
| virtual

Set widget size

Reimplemented from MyGUI::Widget.

Definition at line 96 of file MyGUI_ItemBox.cpp.

## ◆ setSize() [2/2]

void MyGUI::ItemBox::setSize | ( | int | _width,
|  | int | _height
| ) |  |

See Widget::setSize(const IntSize& _size)

Definition at line 908 of file MyGUI_ItemBox.cpp.

## ◆ setVerticalAlignment()

void MyGUI::ItemBox::setVerticalAlignment | ( | bool | _value | ) |

Set vertical alignment grid mode

Definition at line 458 of file MyGUI_ItemBox.cpp.

## ◆ setViewOffset()

void MyGUI::ItemBox::setViewOffset | ( | const IntPoint & | _value | ) |

Set view area offset.

Definition at line 933 of file MyGUI_ItemBox.cpp.

## ◆ shutdownOverride()

void MyGUI::ItemBox::shutdownOverride | ( |  | ) |
| protectedvirtual

Reimplemented from MyGUI::Widget.

Definition at line 82 of file MyGUI_ItemBox.cpp.

## ◆ updateDropItems()

void MyGUI::ItemBox::updateDropItems | ( |  | ) |
| protectedvirtual

Reimplemented from MyGUI::DDContainer.

Definition at line 554 of file MyGUI_ItemBox.cpp.

## ◆ updateDropItemsState()

void MyGUI::ItemBox::updateDropItemsState | ( | const DDWidgetState & | _state | ) |
| protectedvirtual

Reimplemented from MyGUI::DDContainer.

Definition at line 576 of file MyGUI_ItemBox.cpp.

## ◆ updateFromResize()

void MyGUI::ItemBox::updateFromResize | ( |  | ) |
| protected

Definition at line 119 of file MyGUI_ItemBox.cpp.

## ◆ updateMetrics()

void MyGUI::ItemBox::updateMetrics | ( |  | ) |
| protected

Definition at line 673 of file MyGUI_ItemBox.cpp.

## Field Documentation

## ◆ eventChangeItemPosition

EventHandle_ItemBoxPtrSizeT MyGUI::ItemBox::eventChangeItemPosition

Event : Position of selected item was changed.
signature : void method(MyGUI::ItemBox* _sender, size_t _index)

Parameters

  _sender | widget that called this event
  _index | item index

Definition at line 173 of file MyGUI_ItemBox.h.

## ◆ eventMouseItemActivate

EventHandle_ItemBoxPtrSizeT MyGUI::ItemBox::eventMouseItemActivate

Event : Click on item.
signature : void method(MyGUI::ItemBox* _sender, size_t _index)

Parameters

  _sender | widget that called this event
  _index | item index

Definition at line 180 of file MyGUI_ItemBox.h.

## ◆ eventNotifyItem

EventHandle_ItemBoxPtrCIBNotifyCellDataRef MyGUI::ItemBox::eventNotifyItem

Event : Notify about event in item widget.
signature : void method(MyGUI::ItemBox* _sender, const MyGUI::IBNotifyItemData& _info)

Parameters

  _sender | widget that called this event
  _info | info about item notify

Definition at line 187 of file MyGUI_ItemBox.h.

## ◆ eventSelectItemAccept

EventHandle_ItemBoxPtrSizeT MyGUI::ItemBox::eventSelectItemAccept

Event : Doubleclick or enter pressed on item.
signature : void method(MyGUI::ItemBox* _sender, size_t _index)

Parameters

  _sender | widget that called this event
  _index | item index

Definition at line 166 of file MyGUI_ItemBox.h.

## ◆ requestCoordItem

EventHandle_ItemBoxPtrIntCoordRefBool MyGUI::ItemBox::requestCoordItem

Event : Request for item coordinate.
signature : void method(MyGUI::ItemBox* _sender, MyGUI::IntCoord& _coord, bool _drag)

Parameters

  _sender | widget that called this event
  _coord | write heer item coordinate
  _drag | is this item dragging

Definition at line 151 of file MyGUI_ItemBox.h.

## ◆ requestCreateWidgetItem

EventHandle_ItemBoxPtrWidgetPtr MyGUI::ItemBox::requestCreateWidgetItem

Event : Request for creating new item.
signature : void method(MyGUI::ItemBox* _sender, MyGUI::Widget* _item)

Parameters

  _sender | widget that called this event
  _item | widget item pointer

Definition at line 143 of file MyGUI_ItemBox.h.

## ◆ requestDrawItem

EventHandle_ItemBoxPtrWidgetPtrCIBCellDrawInfoRef MyGUI::ItemBox::requestDrawItem

Event : Request for item redraw.
signature : void method(MyGUI::ItemBox* _sender, MyGUI::Widget* _item, const MyGUI::IBDrawItemInfo& _info)

Parameters

  _sender | widget that called this event
  _item | widget item pointer
  _info | item info

Definition at line 159 of file MyGUI_ItemBox.h.

The documentation for this class was generated from the following files:

- MyGUI_ItemBox.h
- MyGUI_ItemBox.cpp